%define pybasever 2.5

Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		python
Version:	2.5.2
Release:	1
Provides:	python(abi) = %{pybasever}
Provides:	python-abi = %{pybasever}
License:	Modified CNRI Open Source License 
URL:		http://www.python.org
Group:		Development/Python
Source0:	Python-%{version}.tar.bz2
Source1:	html-2.5.tar.bz2
Patch0:		%{name}-2.4.1-gdbm.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	Python is an interpreted, interactive, object-oriented programming language.
Requires:	gdbm tcl tk
BuildRequires:	gdbm-devel tcl-devel
Provides:	python(abi) = 2.5
# FIXME
Provides:	libpython2.4.so.1.0
# 

%description
Python is an interpreted, interactive, object-oriented programming language.
It combines remarkable power with very clear syntax, and isn't difficult to learn.
It has modules, classes, exceptions, very high level data types, and dynamic typing.
There are interfaces to many system calls and libraries,
as well as to various windowing systems (Tk, Mac, MFC, GTK+, Qt, wxWindows).
New built-in modules are easily written in C or C++. Python is also usable as an
extension language for applications that need a programmable interface.
For more details see: http://www.python.org

%package	devel
Summary: 	%{name} development headers.
Group: 		%{group}            
Requires: 	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%package	doc
Summary: 	Additional documents for %{name}.
Group: 		%{group}            
Requires: 	%{name} = %{version}-%{release}

%description	doc
Additional documents for %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n Python-%{version}
tar xvfj %{SOURCE1}

# Temporary workaround to avoid confusing find-requires: don't ship the tests
# as executable files
chmod 0644 Lib/test/test_*.py

%build
topdir=`pwd`
./configure --prefix=%_prefix \
--enable-shared \
--with-gcc \
--includedir=%_includedir \
--mandir=%_mandir

#make
make OPT="$CFLAGS" %{?_smp_mflags}
LD_LIBRARY_PATH=$topdir $topdir/python Tools/scripts/pathfix.py -i "%_bindir/env python%{pybasever}" .
make OPT="$CFLAGS" %{?_smp_mflags}

%install
# Cleaning Buildroot
rm -Rf $RPM_BUILD_ROOT

# Install
make install DESTDIR=$RPM_BUILD_ROOT

# Fix the interpreter path in binaries installed by distutils 
# (which changes them by itself)
# Make sure we preserve the file permissions
for fixed in $RPM_BUILD_ROOT%{_bindir}/pydoc; do
    sed 's,#!.*/python$,#!%_bindir/env python%{pybasever},' $fixed > $fixed- \
        && cat $fixed- > $fixed && rm -f $fixed-
done

#Install html-documents
mkdir -p $RPM_BUILD_ROOT%_datadir/doc/%{name}-%{pybasever}/html
cp -Rf Python-Docs-%{pybasever}/* $RPM_BUILD_ROOT%_datadir/doc/%{name}-%{pybasever}/html
cp $RPM_BUILD_DIR/Python-%{version}/{README,LICENSE} $RPM_BUILD_ROOT%_datadir/doc/%{name}-%{pybasever}

# Strip package
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';' 

# FIXME : compatibility links - remove when things got settled down
ln -s libpython2.5.so.1.0 $RPM_BUILD_ROOT%_libdir/libpython2.4.so.1.0
ln -s libpython2.5.so $RPM_BUILD_ROOT%_libdir/libpython2.4.so

%files
%defattr(-,root,root)
%_bindir
%_libdir
%_mandir
%_datadir/doc/%{name}-%{pybasever}/README
%_datadir/doc/%{name}-%{pybasever}/LICENSE

%files devel
%defattr(-,root,root)
%_includedir

%files doc
%defattr(-,root,root)
%_datadir/doc/%{name}-%{pybasever}/html

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun May 18 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.5.2-1
- Version update
* Fri Dec 21 2007 Christian Metzen <metzench@ccux-linux.de> 2.5.1-2
- rebuilt against tcl/tk 8.5.0
* Tue Apr 24 2007 Christian Metzen <metzench@ccux-linux.de> 2.5.1-1
- Version update
* Tue Sep 19 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.5-1
- Version update
* Sat Apr 29 2006 Simon Schmeisser <mail_to_wrt@gmx.de> 2.4.3-1
- Update to version 2.4.3
* Wed Apr 12 2006 Christian Metzen <metzench@ccux-linux.de> 2.4.2-2
- Fixed Provides
* Fri Nov 18 2005 Christian Wasem <wasem@ccux-linux.de> 2.4.2-1
- Update to Version 2.4.2, removed wrong Obsoletes-Tag
* Wed Jun 29 2005 Christian Wasem <wasem@ccux-linux.de> 2.4.1-1
- Update to Version 2.4.1
